# DependencyArtifact

interface DependencyArtifact

Data class that represents an artifact included in a org.gradle.api.artifacts.Dependency.

## Properties

DEFAULT_TYPE
Link copied to clipboard
val DEFAULT_TYPE: String = "jar"

## Functions

getClassifier
Link copied to clipboard
@Nullable
abstract fun getClassifier(): @Nullable String
Returns the classifier of this artifact.
getExtension
Link copied to clipboard
@Nullable
abstract fun getExtension(): @Nullable String
Returns the extension of this artifact.
getName
Link copied to clipboard
abstract fun getName(): String
Returns the name of this artifact.
getType
Link copied to clipboard
abstract fun getType(): String
Returns the type of this artifact.
getUrl
Link copied to clipboard
@Nullable
abstract fun getUrl(): @Nullable String
Returns a URL under which this artifact can be retrieved.
setClassifier
Link copied to clipboard
abstract fun setClassifier(@Nullable classifier: @Nullable String)
Sets the classifier of this artifact.
setExtension
Link copied to clipboard
abstract fun setExtension(@Nullable extension: @Nullable String)
Sets the extension of this artifact.
setName
Link copied to clipboard
abstract fun setName(name: String)
Sets the name of this artifact.
setType
Link copied to clipboard
abstract fun setType(type: String)
Sets the type of this artifact.
setUrl
Link copied to clipboard
abstract fun setUrl(@Nullable url: @Nullable String)
Sets the URL for this artifact.